Create a board (any role but viewer)
Authorization
bearerAuth AuthorizationBearer <token>
Session token issued by the accounts service (or the legacy /v1/auth routes).
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/boards" \ -H "Content-Type: application/json" \ -d '{ "definition": { "filters": [], "match": "all", "range": "7d", "widgets": [ { "breakdown": { "property": "plan", "scope": "event" }, "id": "w1", "interval": "day", "kind": "line", "metric": "total", "series": [ { "event": "signup", "filters": [ { "operator": "eq", "property": "plan", "scope": "event", "values": [ "pro", "growth" ] } ], "label": "Signups", "match": "all" } ], "size": "md", "title": "Signups" } ] }, "description": "Weekly growth metrics", "name": "Growth" }'{ "board": { "created_at": "2026-09-13T12:30:45Z", "created_by": "c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f", "definition": { "filters": [], "match": "all", "range": "7d", "widgets": [ { "breakdown": { "property": "plan", "scope": "event" }, "id": "w1", "interval": "day", "kind": "line", "metric": "total", "series": [ { "event": "signup", "filters": [ { "operator": "eq", "property": "plan", "scope": "event", "values": [ "pro", "growth" ] } ], "label": "Signups", "match": "all" } ], "size": "md", "title": "Signups" } ] }, "description": "Weekly growth metrics", "name": "Growth", "project_uuid": "5f1c2e7a-1c2d-4b3e-9f10-1a2b3c4d5e6f", "updated_at": "2026-09-13T12:30:45Z", "uuid": "1b2c3d4e-5f60-4a1b-8c2d-3e4f5a6b7c8d", "version": 3, "visibility": "project", "widget_count": 1 }}